// clock.js
var timer_id, event_id;
var sec_img = [];
window.onload = function() {
  setupClock();
  showClock(); showInfo();
  timer_id = setInterval(showClock, 500);
  event_id = setInterval(showInfo, 1000 * 30);
};
function $(id) { return document.getElementById(id); }
// 時計のセットアップ
function setupClock() {
  loadImage($("bg_canvas"), "clock-bg.png", 0);
  loadImage($("short_canvas"), "clock-short.png", 1);
  loadImage($("long_canvas"), "clock-long.png", 2);
  loadImage($("sec_canvas"), "clock-sec1.png",3);
  sec_img[0] = new Image();
  sec_img[0].src = "clock-sec1.png";
  sec_img[1] = new Image();
  sec_img[1].src = "clock-sec2.png";
}
// 画像を読み込んでCanvasに描画する
function loadImage(canvas, url, zindex) {
  var img = new Image();
  img.onload = function () {
    var ctx = canvas.getContext("2d");
    ctx.drawImage(img, 0, 0);
  };
  img.src = url;
  canvas.style.zIndex = 50 + zindex;
}
// 各針を回す
function showClock() {
  var t = new Date();
  var sec = t.getSeconds();
  var rsec = Math.floor(sec / 60 * 360);
  rotateCanvas($("sec_canvas"), rsec);
  var ctx = $("sec_canvas").getContext("2d");
  // Canvasの描画をクリアする
  ctx.clearRect(0,0,320,320);
  // 一秒ごとに画像を交互に描画する
  ctx.drawImage(sec_img[sec%2], 0, 0);
  var min = t.getMinutes();
  var rmin = Math.floor(min / 60 * 360);
  rotateCanvas($("long_canvas"), rmin);
  var hour = t.getHours() % 12;
  var rhour = Math.floor(hour / 12 * 360);
  rhour += Math.floor((min / 60) * 30);
  rotateCanvas($("short_canvas"), rhour);
}
function showInfo() {
  // 情報の更新
  var t = new Date();
  var t2 = new Date("2016/08/05");
  var isec = t2.getTime() - t.getTime();
  var iday = Math.floor(isec / (1000*60*60*24));
  $("msg").innerHTML = "あと <span>" + iday + "</span> 日！";
}

// Canvasを回転させる
function rotateCanvas(canvas, deg) {
  var v = "rotate(" + deg + "deg)";
  canvas.style.webkitTransform = v;
  canvas.style.transform = v;
}



